package cpcns.dingZhi.dataSynch.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.dingZhi.dataSynch.service.IDataSynchService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping({"dataSynch"})
public class DataSynchController extends DangAnBaseController {
  @Autowired
  private IDataSynchService dataSynchService;
  
  @RequestMapping({"/toList.do"})
  public String toList(HttpServletRequest request, Model model) {
    return "dataSynch/list";
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      String menLei = request.getParameter("menLei");
      String paixutiaojian = this.dataSynchService.paiXuTiaoJian(menLei);
      if (StringUtils.isBlank(paixutiaojian))
        paixutiaojian = "quanZongHao,guiDangNianDu,baoGuanQiXian,xuHao asc"; 
      System.out.println(paixutiaojian);
      PagerVO pagevo = this.dataSynchService.query_SQL(getUser(), this.start, this.number, this.table, map, CommStatic.getOrderBy(request, paixutiaojian));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo).replaceAll(" 00:00:00", "").replaceAll(":00", "").replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("", "")
        .replaceAll("QUANZONGHAO", "quanZongHao").replaceAll("BIAOTI", "biaoTi").replaceAll("DANGHAO", "dangHao").replaceAll("FUHEHAO", "fuHeHao")
        .replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("MENLEI", "menLei").replaceAll("LAIWENDANWEI", "laiWenDanWei");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/shuJuTongBu.do"})
  public void shuJuTongBu(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    try {
      String mg = this.dataSynchService.shuJuTongBu(request, getUser());
      rm.setSuccess(true);
      rm.setInfo(mg);
      responseWriter(response, mg);
    } catch (Exception e) {
      rm.setSuccess(false);
      rm.setInfo("500");
    } 
  }
  
  @RequestMapping({"/checkShuJu.do"})
  public void checkShuJu(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    try {
      boolean mg = this.dataSynchService.checkShuJu(request);
      if (mg) {
        rm.setSuccess(true);
        rm.setInfo("600");
      } else {
        rm.setSuccess(false);
        rm.setInfo("500");
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      rm.setInfo("500");
    } 
    responseWriter(response, rm.toString());
  }
}
